*{
  padding: 0px;
  margin: 0px;
  font-family: 'Fira Code';
}
body{
  height: 100%;
  background: #95a5a6;
}
.chat-box{
  position: fixed;
  right: 20px;
  bottom: 0px;
  background: white;
  width: 300px;
  border-radius: 5px 5px 0px 0px;
}
.chat-head{
  width: inherit;
  height: 100%;
  background: #2c3e50;
  border-radius: 5px 5px 0px 0px;
}
.chat-head h2{
  color: white;
  padding: 8px;
  display: inline-block;
}
.chat-head img{
  cursor: pointer;
  float: right;
  width: 25px;
  margin: 10px;
}
.chat-body{
  height: 355px;
  width: inherit;
  overflow: auto;
  margin-bottom: 45px;
}
.chat-text{
  position: fixed;
  bottom: 0px;
  height: 45px;
  width: inherit;
}
.chat-text textarea{
  width: inherit;
  height: inherit;
  box-sizing: border-box;
  border: 1px solid #bdc3c7;
  padding: 10px;
  resize: none;
}
.chat-text textarea:active, .chat-text textarea:focus, .chat-text textarea:hover{
  border-color: royalblue;
}
.msg-send{
  background: #2ecc71;
}
.msg-receive{
  background: #3498db;
}
.msg-send, .msg-receive{
  width: 200px;
  height: 35px;
  padding: 5px 5px 5px 10px;
  margin: 10px auto;
  border-radius: 3px;
  line-height: 30px;
  position: relative;
  color: white;
}
.msg-receive:before{
  content: '';
  width: 0px;
  height: 0px;
  position: absolute;
  border: 15px solid;
  border-color: transparent #3498db transparent transparent;
  left: -29px;
  top: 7px;
}
.msg-send:after{
  content: '';
  width: 0px;
  height: 0px;
  position: absolute;
  border: 15px solid;
  border-color: transparent transparent transparent #2ecc71;
  right: -29px;
  top: 2.5px;
}
.msg-receive:hover, .msg-send:hover{
  opacity: .9;
}
.calculator {
  margin-top: 15%;
  margin-bottom: 15%
}

.calculator .model {
  background: #4e4e4e;
}
.calculator .calcs {
  font-size: 56px;
  padding-top: 15px;
  padding-bottom: 15px;
  height: auto;
  border-radius: 0;
  cursor: text;
}

.calculator #title {
  color: #f9f9f9;
}

.calculator .btn {
  border-radius: 0;
}
#navbar{
   background-color: #e3e3e3;
   width: 100%;
   font-family: Montserrat;
   font-size: 20px;
   padding: 0.5rem;
   margin-top: 1.5rem;
   display:grid;
}
#nav {
  background: #322828;
  height:75px;
  position:fixed;
  top:0;
  left:0;
  right:0;
  transition: background 0.5s;
  -webkit-transition: background 0.5s;
  z-index:1000;
  text-align: center;
}
.menu {
    display: inline-block;
    color: #322828;
    text-decoration: none;
}

.menu::after {
    content: '';
    display: block;
    width: 0;
    height: 2px;
    background: #322828;
    transition: width .3s;
}

.menu:hover::after {
    width: 100%;
}
.hover {
    background:rgba(0, 0, 0, 0.5) !important;
}
.hover-navbar {
    background:rgba(255, 255, 255, 0.5) !important;
}
.Iam {
  font: normal 40px/50px Montserrat, sans-serif;
  color: #e3e3e3;

}
.Iam p {
  height: 50px;
  text-align: center;
  margin-right: 30rem;
  margin-top: 1rem;
}
.Iam b {
  overflow: hidden;
  position: absolute;
  height: 50px;
  top: 15px;
  text-align: center;
}
.Iam .innerIam {
  display: inline-block;
  color: #F474EE;
  position: relative;
  white-space: nowrap;
  top: 0;
  left: 0;


/*animation*/
-webkit-animation:move 5s;
   -moz-animation:move 5s;
    -ms-animation:move 5s;
     -o-animation:move 5s;
        animation:move 5s;
/*animation-iteration-count*/
-webkit-animation-iteration-count:infinite;
   -moz-animation-iteration-count:infinite;
    -ms-animation-iteration-count:infinite;
     -o-animation-iteration-count:infinite;
        animation-iteration-count:infinite;
/*animation-delay*/
-webkit-animation-delay:3s;
   -moz-animation-delay:3s;
    -ms-animation-delay:3s;
     -o-animation-delay:3s;
        animation-delay:3s;
}
@keyframes move{
  0%  { top: 0px; }
  20% { top: -50px; }
  40% { top: -100px; }
  60% { top: -150px; }
  80% { top: -200px; }
}

@-webkit-keyframes move {
  0%  { top: 0px; }
  20% { top: -50px; }
  40% { top: -100px; }
  60% { top: -150px; }
  80% { top: -200px; }
}
@-moz-keyframes move {
  0%  { top: 0px; }
  20% { top: -50px; }
  40% { top: -100px; }
  60% { top: -150px; }
  80% { top: -200px; }
}
@-o-keyframes move {
  0%  { top: 0px; }
  20% { top: -50px; }
  40% { top: -100px; }
  60% { top: -150px; }
  80% { top: -200px; }
}
@keyframes move {
  0%  { top: 0px; }
  20% { top: -50px; }
  40% { top: -100px; }
  60% { top: -150px; }
  80% { top: -200px; }
}
.my-select{
  margin-top: 2rem;
  display: block;
  padding: 10px 70px 10px 13px;
  max-width: 100%;
  height: auto !important; 
  border: 1px solid #e3e3e3;
  border-radius: 3px;
  background: url("https://image.ibb.co/iMeAJv/selectbox_arrow.png") right center no-repeat;
  background-color: #fff; 
  color: #444444;
  font-size: 15px; 
  line-height: 16px; 
  appearance: none; 
  width: 100%;
  -webkit-appearance: none; -moz-appearance: none;
}

.apply-button {
  align-items: center;
  margin-top: 1rem;
  background: #fff;
  background-image: -webkit-linear-gradient(top, #fff, #fff);
  background-image: -moz-linear-gradient(top, #fff, #fff);
  background-image: -ms-linear-gradient(top, #fff, #fff);
  background-image: -o-linear-gradient(top, #fff, #fff);
  background-image: linear-gradient(to bottom, #fff, #fff);
  -webkit-border-radius: 10;
  -moz-border-radius: 10;
  border-radius: 10px;
  color:  #444444;
  font-size: 15px;
  padding: 9px 45px 9px 45px;
  width: 100%;
  border: solid #e3e3e3 1px;
}

.apply-button:hover {
  background: #DCDBDB;
  border: solid #A4A4A4 1px;
}

#change-theme{
  background-color: #e3e3e3;
  width: 37%;
  margin-left: 6.5rem;
  margin-top: 3rem;
  padding: 2rem;
  border-radius: 20px;
  color: #322828;
  font-size: 20px;
  text-align: center;
}
a {
  color: inherit; /* blue colors for links too */
  text-decoration: inherit; /* no underline */
}
a:hover {
  color: inherit;
  text-decoration: inherit; 
}
.foot{
  background-color: #322828;
  padding: 1rem;
  text-align: center;
  font-size: 15px;
  color: #e3e3e3;
}
.rotate {
  -ms-transform: rotate(180deg);
  -webkit-transform: rotate(180deg);
  transform: rotate(180deg);
}
.normal {
  -ms-transform: rotate(0deg);
  -webkit-transform: rotate(0deg);
  transform: rotate(0deg);
  animation-duration: 2s;
}
@media screen and (max-width: 768px) {
  #nav{
    width: 100%;
  }
  .Iam p{
    font-size: 15px;
  }
  .Iam b{
    font-size: 23px;
  }
}